# class Sass::Util::StaticConditionalContext

The context in which the ERB for {#def_static_method} will be run.

### Public Class Methods

new(set) click to toggle source

@param set [#include?] The set of variables that are defined for this context.

    # File lib/sass/util.rb, line 977
    def initialize(set)
      @set = set
    end

### Public Instance Methods

method_missing(name, *args) click to toggle source

Checks whether or not a variable is defined for this context.

@param name [Symbol] The name of the variable @return [Boolean]

Calls superclass method

    # File lib/sass/util.rb, line 985
    def method_missing(name, *args)
      super unless args.empty? && !block_given?
      @set.include?(name)
    end